export interface Logger {
    info?(...any: any[]): any;
    error?(...any: any[]): any;
    debug?(...any: any[]): any;
}
export declare class HttpClient {
    private _baseUrl;
    private _logger;
    private _defaultHeaders;
    constructor(baseUrl: string, logger?: Logger, basicAuthUser?: string, basicAuthPwd?: string);
    private _request(method, path, body?);
    get<T>(route: any): Promise<T>;
    post<T>(route: any, payload: any): Promise<T>;
    patch<T>(route: any, payload: any): Promise<T>;
    put<T>(route: any, payload: any): Promise<T>;
    delete(route: any): Promise<any>;
}
export declare class TestHttpClient {
    _routePayloads: any;
    calls: any;
    constructor(routePayloads: any);
    get(route: any): Promise<any>;
    post(route: any, payload: any): Promise<any>;
    patch(route: any, payload: any): Promise<any>;
    delete(route: any): Promise<any>;
}
